<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ImpairmentLossOnFinancialAssets" xlink:label="ifrs-full_ImpairmentLossOnFinancialAssets" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_OperatingProfitBeforeSurplusDeficitFromInvestmentPropertyRevaluationMovementsAndResultsOfJointVentures" xlink:label="gpe_OperatingProfitBeforeSurplusDeficitFromInvestmentPropertyRevaluationMovementsAndResultsOfJointVentures" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_BasicEPRAEarningsPerShare" xlink:label="gpe_BasicEPRAEarningsPerShare" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_DilutedEPRAEarningsPerShare" xlink:label="gpe_DilutedEPRAEarningsPerShare" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_NoncurrentHeadLeaseObligations" xlink:label="gpe_NoncurrentHeadLeaseObligations" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_NoncurrentDeferredConsideration" xlink:label="gpe_NoncurrentDeferredConsideration" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermWarrantyProvision" xlink:label="ifrs-full_LongtermWarrantyProvision" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_BasicNetAssetsPerShareDiluted" xlink:label="gpe_BasicNetAssetsPerShareDiluted" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_EPRANTADiluted" xlink:label="gpe_EPRANTADiluted" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:label="ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_DevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities" xlink:label="gpe_DevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfInvestmentProperty" xlink:label="ifrs-full_PurchaseOfInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_FirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:label="gpe_FirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_FirstRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" xlink:label="gpe_FirstRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_SecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:label="gpe_SecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_SecondRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" xlink:label="gpe_SecondRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_ThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:label="gpe_ThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_ThirdRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" xlink:label="gpe_ThirdRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_TermLoanRepaidClassifiedAsFinancingActivities" xlink:label="gpe_TermLoanRepaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:label="ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsForShareIssueCosts" xlink:label="ifrs-full_PaymentsForShareIssueCosts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareIssueRelatedCost" xlink:label="ifrs-full_ShareIssueRelatedCost" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfTreasuryShares" xlink:label="ifrs-full_PurchaseOfTreasuryShares" />
    <loc xlink:type="locator" xlink:href="213800JMEDD2Q4N1MC42-2026-03-31.xsd#gpe_DisclosureOfEarningsPerShareAlternativePerformanceMeasuresAndEPRAMetricsExplanatory" xlink:label="gpe_DisclosureOfEarningsPerShareAlternativePerformanceMeasuresAndEPRAMetricsExplanatory" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ImpairmentLossOnFinancialAssets" xlink:to="label_gpe_ifrs-fullImpairmentLossOnFinancialAssets_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="gpe_OperatingProfitBeforeSurplusDeficitFromInvestmentPropertyRevaluationMovementsAndResultsOfJointVentures" xlink:to="label_gpe_gpeOperatingProfitBeforeSurplusDeficitFromInvestmentPropertyRevaluationMovementsAndResultsOfJointVentures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_gpe_ifrs-fullIncomeTaxExpenseContinuingOperations_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="gpe_BasicEPRAEarningsPerShare" xlink:to="label_gpe_gpeBasicEPRAEarningsPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_DilutedEPRAEarningsPerShare" xlink:to="label_gpe_gpeDilutedEPRAEarningsPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentPayables" xlink:to="label_gpe_ifrs-fullTradeAndOtherCurrentPayables_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:to="label_gpe_ifrs-fullCurrentTaxLiabilitiesCurrent_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_LongtermBorrowings" xlink:to="label_gpe_ifrs-fullLongtermBorrowings_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="gpe_NoncurrentHeadLeaseObligations" xlink:to="label_gpe_gpeNoncurrentHeadLeaseObligations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_NoncurrentHeadLeaseObligations" xlink:to="label_gpe_gpeNoncurrentHeadLeaseObligations_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_NoncurrentDeferredConsideration" xlink:to="label_gpe_gpeNoncurrentDeferredConsideration_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_NoncurrentDeferredConsideration" xlink:to="label_gpe_gpeNoncurrentDeferredConsideration_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_LongtermWarrantyProvision" xlink:to="label_gpe_ifrs-fullLongtermWarrantyProvision_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="gpe_BasicNetAssetsPerShareDiluted" xlink:to="label_gpe_gpeBasicNetAssetsPerShareDiluted_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_EPRANTADiluted" xlink:to="label_gpe_gpeEPRANTADiluted_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:to="label_gpe_ifrs-fullInterestPaidClassifiedAsOperatingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="label_gpe_ifrs-fullIncomeTaxesPaidRefundClassifiedAsOperatingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:to="label_gpe_ifrs-fullCashAdvancesAndLoansMadeToRelatedParties_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="gpe_DevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities" xlink:to="label_gpe_gpeDevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_DevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities" xlink:to="label_gpe_gpeDevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfInvestmentProperty" xlink:to="label_gpe_ifrs-fullPurchaseOfInvestmentProperty_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_gpe_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="gpe_FirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeFirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_FirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeFirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_FirstRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeFirstRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_SecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeSecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_SecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeSecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_SecondRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeSecondRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_ThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_ThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_ThirdRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeThirdRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_TermLoanRepaidClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeTermLoanRepaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gpe_TermLoanRepaidClassifiedAsFinancingActivities" xlink:to="label_gpe_gpeTermLoanRepaidClassifiedAsFinancingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:to="label_gpe_ifrs-fullRepaymentsOfBondsNotesAndDebentures_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PaymentsForShareIssueCosts" xlink:to="label_gpe_ifrs-fullPaymentsForShareIssueCosts_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_gpe_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:to="label_gpe_ifrs-fullDividendsPaidClassifiedAsFinancingActivities_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:to="label_gpe_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Verbose" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:to="label_gpe_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Short" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ShareIssueRelatedCost" xlink:to="label_gpe_ifrs-fullShareIssueRelatedCost_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfTreasuryShares" xlink:to="label_gpe_ifrs-fullPurchaseOfTreasuryShares_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="gpe_DisclosureOfEarningsPerShareAlternativePerformanceMeasuresAndEPRAMetricsExplanatory" xlink:to="label_gpe_gpeDisclosureOfEarningsPerShareAlternativePerformanceMeasuresAndEPRAMetricsExplanatory_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_gpe_ifrs-fullImpairmentLossOnFinancialAssets_NegatedLabel" id="gpe_ifrs-fullImpairmentLossOnFinancialAssets_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Expected credit losses</label>
    <label xlink:label="label_gpe_gpeOperatingProfitBeforeSurplusDeficitFromInvestmentPropertyRevaluationMovementsAndResultsOfJointVentures_Standard" id="gpe_gpeOperatingProfitBeforeSurplusDeficitFromInvestmentPropertyRevaluationMovementsAndResultsOfJointVentures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating profit before surplus from investment property, revaluation movements and results of joint ventures</label>
    <label xlink:label="label_gpe_ifrs-fullIncomeTaxExpenseContinuingOperations_NegatedLabel" id="gpe_ifrs-fullIncomeTaxExpenseContinuingOperations_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Tax</label>
    <label xlink:label="label_gpe_gpeBasicEPRAEarningsPerShare_Standard" id="gpe_gpeBasicEPRAEarningsPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Basic EPRA earnings per share</label>
    <label xlink:label="label_gpe_gpeDilutedEPRAEarningsPerShare_Standard" id="gpe_gpeDilutedEPRAEarningsPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Diluted EPRA earnings per share</label>
    <label xlink:label="label_gpe_ifrs-fullTradeAndOtherCurrentPayables_NegatedLabel" id="gpe_ifrs-fullTradeAndOtherCurrentPayables_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Trade and other payables</label>
    <label xlink:label="label_gpe_ifrs-fullCurrentTaxLiabilitiesCurrent_NegatedLabel" id="gpe_ifrs-fullCurrentTaxLiabilitiesCurrent_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Corporation tax</label>
    <label xlink:label="label_gpe_ifrs-fullLongtermBorrowings_NegatedLabel" id="gpe_ifrs-fullLongtermBorrowings_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Interest-bearing loans and borrowings</label>
    <label xlink:label="label_gpe_gpeNoncurrentHeadLeaseObligations_Standard" id="gpe_gpeNoncurrentHeadLeaseObligations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-current head lease obligations</label>
    <label xlink:label="label_gpe_gpeNoncurrentHeadLeaseObligations_NegatedLabel" id="gpe_gpeNoncurrentHeadLeaseObligations_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Non-current head lease obligations</label>
    <label xlink:label="label_gpe_gpeNoncurrentDeferredConsideration_Standard" id="gpe_gpeNoncurrentDeferredConsideration_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-current deferred consideration</label>
    <label xlink:label="label_gpe_gpeNoncurrentDeferredConsideration_NegatedLabel" id="gpe_gpeNoncurrentDeferredConsideration_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Non-current deferred consideration</label>
    <label xlink:label="label_gpe_ifrs-fullLongtermWarrantyProvision_NegatedLabel" id="gpe_ifrs-fullLongtermWarrantyProvision_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Provisions in respect of warranties on sold buildings</label>
    <label xlink:label="label_gpe_gpeBasicNetAssetsPerShareDiluted_Standard" id="gpe_gpeBasicNetAssetsPerShareDiluted_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Basic net assets per share (diluted)</label>
    <label xlink:label="label_gpe_gpeEPRANTADiluted_Standard" id="gpe_gpeEPRANTADiluted_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">EPRA NTA (diluted)</label>
    <label xlink:label="label_gpe_ifrs-fullInterestPaidClassifiedAsOperatingActivities_NegatedLabel" id="gpe_ifrs-fullInterestPaidClassifiedAsOperatingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Interest paid</label>
    <label xlink:label="label_gpe_ifrs-fullIncomeTaxesPaidRefundClassifiedAsOperatingActivities_NegatedLabel" id="gpe_ifrs-fullIncomeTaxesPaidRefundClassifiedAsOperatingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Tax paid</label>
    <label xlink:label="label_gpe_ifrs-fullCashAdvancesAndLoansMadeToRelatedParties_NegatedLabel" id="gpe_ifrs-fullCashAdvancesAndLoansMadeToRelatedParties_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Provision of loans to joint ventures</label>
    <label xlink:label="label_gpe_gpeDevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities_Standard" id="gpe_gpeDevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Development of investment property classified as investing activities</label>
    <label xlink:label="label_gpe_gpeDevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities_NegatedLabel" id="gpe_gpeDevelopmentOfInvestmentPropertyClassifiedAsInvestingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Development of investment property classified as investing activities</label>
    <label xlink:label="label_gpe_ifrs-fullPurchaseOfInvestmentProperty_NegatedLabel" id="gpe_ifrs-fullPurchaseOfInvestmentProperty_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of investment property</label>
    <label xlink:label="label_gpe_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_NegatedLabel" id="gpe_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of plant and equipment</label>
    <label xlink:label="label_gpe_gpeFirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" id="gpe_gpeFirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">£450 million revolving credit facility repaid</label>
    <label xlink:label="label_gpe_gpeFirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" id="gpe_gpeFirstRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">£450 million revolving credit facility repaid</label>
    <label xlink:label="label_gpe_gpeFirstRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" id="gpe_gpeFirstRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">£450 million revolving credit facility drawn</label>
    <label xlink:label="label_gpe_gpeSecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" id="gpe_gpeSecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">£150 million revolving credit facility repaid</label>
    <label xlink:label="label_gpe_gpeSecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" id="gpe_gpeSecondRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">£150 million revolving credit facility repaid</label>
    <label xlink:label="label_gpe_gpeSecondRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" id="gpe_gpeSecondRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">£150 million revolving credit facility drawn</label>
    <label xlink:label="label_gpe_gpeThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" id="gpe_gpeThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">£525 million revolving credit facility repaid</label>
    <label xlink:label="label_gpe_gpeThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" id="gpe_gpeThirdRevolvingCreditFacilityRepaidClassifiedAsFinancingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">£525 million revolving credit facility repaid</label>
    <label xlink:label="label_gpe_gpeThirdRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" id="gpe_gpeThirdRevolvingCreditFacilityDrawnClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">£525 million revolving credit facility drawn</label>
    <label xlink:label="label_gpe_gpeTermLoanRepaidClassifiedAsFinancingActivities_Standard" id="gpe_gpeTermLoanRepaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Term loan repaid classified as financing activities</label>
    <label xlink:label="label_gpe_gpeTermLoanRepaidClassifiedAsFinancingActivities_NegatedLabel" id="gpe_gpeTermLoanRepaidClassifiedAsFinancingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Term loan repaid classified as financing activities</label>
    <label xlink:label="label_gpe_ifrs-fullRepaymentsOfBondsNotesAndDebentures_NegatedLabel" id="gpe_ifrs-fullRepaymentsOfBondsNotesAndDebentures_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Private placement notes repaid</label>
    <label xlink:label="label_gpe_ifrs-fullPaymentsForShareIssueCosts_NegatedLabel" id="gpe_ifrs-fullPaymentsForShareIssueCosts_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Transaction costs of rights issue</label>
    <label xlink:label="label_gpe_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_NegatedLabel" id="gpe_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Payment of lease obligations</label>
    <label xlink:label="label_gpe_ifrs-fullDividendsPaidClassifiedAsFinancingActivities_NegatedLabel" id="gpe_ifrs-fullDividendsPaidClassifiedAsFinancingActivities_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Dividends paid</label>
    <label xlink:label="label_gpe_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Verbose" id="gpe_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Verbose" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:type="resource" xml:lang="en">Actuarial gain on defined benefit scheme</label>
    <label xlink:label="label_gpe_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Short" id="gpe_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Short" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="en">Actuarial loss on defined benefit scheme</label>
    <label xlink:label="label_gpe_ifrs-fullShareIssueRelatedCost_NegatedLabel" id="gpe_ifrs-fullShareIssueRelatedCost_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Costs of issue</label>
    <label xlink:label="label_gpe_ifrs-fullPurchaseOfTreasuryShares_NegatedLabel" id="gpe_ifrs-fullPurchaseOfTreasuryShares_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Purchase of own shares</label>
    <label xlink:label="label_gpe_gpeDisclosureOfEarningsPerShareAlternativePerformanceMeasuresAndEPRAMetricsExplanatory_Standard" id="gpe_gpeDisclosureOfEarningsPerShareAlternativePerformanceMeasuresAndEPRAMetricsExplanatory_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of earnings per share, alternative performance measures and EPRA metrics [text block]</label>
  </labelLink>
</linkbase>